Loading...
Searching...
No Matches
ON_RTree Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_rtree.h>`

## Public Member Functions

| ON_RTree (ON_MEMORY_POOL *heap=0, std::size_t leaf_count=0)
| ~ON_RTree ()
bool | CreateMeshFaceTree (const class ON_Mesh *mesh)
bool | Insert (const double a_min[3], const double a_max[3], void *a_element_id)
bool | Insert (const double a_min[3], const double a_max[3], int a_element_id)
bool | Insert2d (const double a_min[2], const double a_max[2], void *a_element_id)
bool | Insert2d (const double a_min[2], const double a_max[2], int a_element_id)
bool | Remove (const double a_min[3], const double a_max[3], void *a_elementId)
bool | Remove (const double a_min[3], const double a_max[3], int a_elementId)
bool | Remove2d (const double a_min[2], const double a_max[2], void *a_elementId)
bool | Remove2d (const double a_min[2], const double a_max[2], int a_elementId)
void | RemoveAll ()
bool | Search (ON_RTreeSphere *a_sphere, bool ON_MSC_CDECL resultCallback(void *a_context, ON__INT_PTR a_id), void *a_context) const
bool | Search (ON_RTreeCapsule *a_capsule, bool ON_MSC_CDECL resultCallback(void *a_context, ON__INT_PTR a_id), void *a_context) const
bool | Search (ON_RTreeBBox *a_rect, bool ON_MSC_CDECL resultCallback(void *a_context, ON__INT_PTR a_id), void *a_context) const
bool | Search (const double a_plane_eqn[4], double a_min, double a_max, bool ON_MSC_CDECL resultCallback(void *a_context, ON__INT_PTR a_id), void *a_context) const
bool | Search (const double a_min[3], const double a_max[3], bool ON_MSC_CDECL resultCallback(void *a_context, ON__INT_PTR a_id), void *a_context) const
bool | Search (const double a_min[3], const double a_max[3], ON_RTreeSearchResult &a_result) const
bool | Search (const double a_min[3], const double a_max[3], ON_SimpleArray< ON_RTreeLeaf > &a_result) const
bool | Search (const double a_min[3], const double a_max[3], ON_SimpleArray< void * > &a_result) const
bool | Search (const double a_min[3], const double a_max[3], ON_SimpleArray< int > &a_result) const
bool | Search2d (const double a_min[2], const double a_max[2], bool ON_MSC_CDECL resultCallback(void *a_context, ON__INT_PTR a_id), void *a_context) const
bool | Search2d (const double a_min[2], const double a_max[2], ON_RTreeSearchResult &a_result) const
bool | Search2d (const double a_min[2], const double a_max[2], ON_SimpleArray< ON_RTreeLeaf > &a_result) const
bool | Search2d (const double a_min[2], const double a_max[2], ON_SimpleArray< void * > &a_result) const
bool | Search2d (const double a_min[2], const double a_max[2], ON_SimpleArray< int > &a_result) const
int | ElementCount ()
const ON_RTreeNode * | Root () const
ON_BoundingBox | BoundingBox () const
std::size_t | SizeOf () const

## Static Public Member Functions

static bool | Search (const ON_RTree &a_rtreeA, const ON_RTree &a_rtreeB, double tolerance, ON_SimpleArray< ON_2dex > &a_result)
static bool | Search (const ON_RTree &a_rtreeA, const ON_RTree &a_rtreeB, double tolerance, void ON_MSC_CDECL resultCallback(void *a_context, ON__INT_PTR a_idA, ON__INT_PTR a_idB), void *a_context)
static bool | Search (const ON_RTree &a_rtreeA, const ON_RTree &a_rtreeB, double tolerance, bool ON_MSC_CDECL resultCallback(void *a_context, ON__INT_PTR a_idA, ON__INT_PTR a_idB), void *a_context)

## Detailed Description

Definition at line 378 of file opennurbs_rtree.h.

## Constructor & Destructor Documentation

## ON_RTree()

ON_RTree::ON_RTree | ( | ON_MEMORY_POOL * | heap = `0`,
|  | std::size_t | leaf_count = `0`
| ) |  |

## ~ON_RTree()

ON_RTree::~ON_RTree | ( |  | ) |

## Member Function Documentation

## BoundingBox()

ON_BoundingBox ON_RTree::BoundingBox | ( |  | ) | const

## CreateMeshFaceTree()

bool ON_RTree::CreateMeshFaceTree | ( | const class ON_Mesh * | mesh | ) |

## ElementCount()

int ON_RTree::ElementCount | ( |  | ) |

## Insert() [1/2]

bool ON_RTree::Insert | ( | const double | a_min[3],
|  | const double | a_max[3],
|  | int | a_element_id
| ) |  |

## Insert() [2/2]

bool ON_RTree::Insert | ( | const double | a_min[3],
|  | const double | a_max[3],
|  | void * | a_element_id
| ) |  |

## Insert2d() [1/2]

bool ON_RTree::Insert2d | ( | const double | a_min[2],
|  | const double | a_max[2],
|  | int | a_element_id
| ) |  |

## Insert2d() [2/2]

bool ON_RTree::Insert2d | ( | const double | a_min[2],
|  | const double | a_max[2],
|  | void * | a_element_id
| ) |  |

## Remove() [1/2]

bool ON_RTree::Remove | ( | const double | a_min[3],
|  | const double | a_max[3],
|  | int | a_elementId
| ) |  |

## Remove() [2/2]

bool ON_RTree::Remove | ( | const double | a_min[3],
|  | const double | a_max[3],
|  | void * | a_elementId
| ) |  |

## Remove2d() [1/2]

bool ON_RTree::Remove2d | ( | const double | a_min[2],
|  | const double | a_max[2],
|  | int | a_elementId
| ) |  |

## Remove2d() [2/2]

bool ON_RTree::Remove2d | ( | const double | a_min[2],
|  | const double | a_max[2],
|  | void * | a_elementId
| ) |  |

## RemoveAll()

void ON_RTree::RemoveAll | ( |  | ) |

## Root()

const ON_RTreeNode * ON_RTree::Root | ( |  | ) | const

## Search() [1/12]

bool ON_RTree::Search | ( | const double | a_min[3],
|  | const double | a_max[3],
|  | bool ON_MSC_CDECL | resultCallbackvoid *a_context, ON__INT_PTR a_id,
|  | void * | a_context
| ) |  | const

## Search() [2/12]

bool ON_RTree::Search | ( | const double | a_min[3],
|  | const double | a_max[3],
|  | ON_RTreeSearchResult & | a_result
| ) |  | const

## Search() [3/12]

bool ON_RTree::Search | ( | const double | a_min[3],
|  | const double | a_max[3],
|  | ON_SimpleArray< int > & | a_result
| ) |  | const

## Search() [4/12]

bool ON_RTree::Search | ( | const double | a_min[3],
|  | const double | a_max[3],
|  | ON_SimpleArray< ON_RTreeLeaf > & | a_result
| ) |  | const

## Search() [5/12]

bool ON_RTree::Search | ( | const double | a_min[3],
|  | const double | a_max[3],
|  | ON_SimpleArray< void * > & | a_result
| ) |  | const

## Search() [6/12]

bool ON_RTree::Search | ( | const double | a_plane_eqn[4],
|  | double | a_min,
|  | double | a_max,
|  | bool ON_MSC_CDECL | resultCallbackvoid *a_context, ON__INT_PTR a_id,
|  | void * | a_context
| ) |  | const

## Search() [7/12]

static bool ON_RTree::Search | ( | const ON_RTree & | a_rtreeA,
|  | const ON_RTree & | a_rtreeB,
|  | double | tolerance,
|  | bool ON_MSC_CDECL | resultCallbackvoid *a_context, ON__INT_PTR a_idA, ON__INT_PTR a_idB,
|  | void * | a_context
| ) |  |

static

## Search() [8/12]

static bool ON_RTree::Search | ( | const ON_RTree & | a_rtreeA,
|  | const ON_RTree & | a_rtreeB,
|  | double | tolerance,
|  | ON_SimpleArray< ON_2dex > & | a_result
| ) |  |

static

## Search() [9/12]

static bool ON_RTree::Search | ( | const ON_RTree & | a_rtreeA,
|  | const ON_RTree & | a_rtreeB,
|  | double | tolerance,
|  | void ON_MSC_CDECL | resultCallbackvoid *a_context, ON__INT_PTR a_idA, ON__INT_PTR a_idB,
|  | void * | a_context
| ) |  |

static

## Search() [10/12]

bool ON_RTree::Search | ( | ON_RTreeBBox * | a_rect,
|  | bool ON_MSC_CDECL | resultCallbackvoid *a_context, ON__INT_PTR a_id,
|  | void * | a_context
| ) |  | const

## Search() [11/12]

bool ON_RTree::Search | ( | ON_RTreeCapsule * | a_capsule,
|  | bool ON_MSC_CDECL | resultCallbackvoid *a_context, ON__INT_PTR a_id,
|  | void * | a_context
| ) |  | const

## Search() [12/12]

bool ON_RTree::Search | ( | ON_RTreeSphere * | a_sphere,
|  | bool ON_MSC_CDECL | resultCallbackvoid *a_context, ON__INT_PTR a_id,
|  | void * | a_context
| ) |  | const

## Search2d() [1/5]

bool ON_RTree::Search2d | ( | const double | a_min[2],
|  | const double | a_max[2],
|  | bool ON_MSC_CDECL | resultCallbackvoid *a_context, ON__INT_PTR a_id,
|  | void * | a_context
| ) |  | const

## Search2d() [2/5]

bool ON_RTree::Search2d | ( | const double | a_min[2],
|  | const double | a_max[2],
|  | ON_RTreeSearchResult & | a_result
| ) |  | const

## Search2d() [3/5]

bool ON_RTree::Search2d | ( | const double | a_min[2],
|  | const double | a_max[2],
|  | ON_SimpleArray< int > & | a_result
| ) |  | const

## Search2d() [4/5]

bool ON_RTree::Search2d | ( | const double | a_min[2],
|  | const double | a_max[2],
|  | ON_SimpleArray< ON_RTreeLeaf > & | a_result
| ) |  | const

## Search2d() [5/5]

bool ON_RTree::Search2d | ( | const double | a_min[2],
|  | const double | a_max[2],
|  | ON_SimpleArray< void * > & | a_result
| ) |  | const

## SizeOf()

std::size_t ON_RTree::SizeOf | ( |  | ) | const

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_rtree.h